import dayjs from 'dayjs';
export declare const ErrorTimeoutText = "Operation timed out, please retry later";
export declare enum ReservationRequest {
    New = 0,
    Get = 1,
    Delete = 2,
    Stop = 3
}
export declare class ReservationMessage {
    Type: ReservationRequest;
    AnswerQueue: string;
    Device?: URL;
    Start?: dayjs.Dayjs;
    End?: dayjs.Dayjs;
    BookingReference?: URL;
    ReservationID?: bigint;
    static fromString(json: string): ReservationMessage;
    constructor(Type: ReservationRequest, AnswerQueue: string);
}
export declare class ReservationAnswer {
    Type: ReservationRequest;
    Device?: URL;
    Start?: dayjs.Dayjs;
    End?: dayjs.Dayjs;
    BookingReference?: URL;
    ReservationID: bigint;
    Deleted: boolean;
    Successful: boolean;
    ErrorMessage: string;
    static fromString(json: string): ReservationAnswer;
    constructor(Type: ReservationRequest, ReservationID: bigint, Deleted: boolean, Successful: boolean, ErrorMessage: string);
}
//# sourceMappingURL=messageDefinition.d.ts.map